Get List Of Trade Orders¶
Endpoint¶
Parameters¶
Path Parameters¶
| Field | Type | Description |
|---|---|---|
| b_id Required | String | Business line ID |
Query Parameters¶
| Field | Type | Description |
|---|---|---|
| keyword Optional | String | Search (Order ID, financial officer) |
| base_coin Optional | String | Base currency |
| quote_coin Optional | String | Quote currency |
| side Optional | String | Trade directions Allowed values: BUY, SELL |
| statuses Optional | String[] | Order Status |
| trade_type Optional | String | Order Type Allowed values: LIMIT (limit order), TOKEN (market order) |
| create_time_start Optional | Long | Order creation time start time |
| create_time_end Optional | Long | Order creation time end time |
| limit Required | Integer | Limit |
| offset Required | Integer | Offset |
Response¶
Response Body¶
| Field | Type | Description |
|---|---|---|
| code | Integer | Response code (0 = success) |
| message | String | Response message |
| successful | Boolean | Whether the request was successful |
| data | Object | Order list data (see data object details below) |
data (object)
| Field | Type | Description |
|---|---|---|
| offset | Integer | Offset |
| limit | Integer | Limit |
| total | Integer | Total number of records |
| metadata | Object | Metadata |
| list | Object[] | Order list (see list object details below) |
list (object)
| Field | Type | Description |
|---|---|---|
| bid | String | Business line ID |
| order_no | String | Order ID |
| base_coin | String | Base currency |
| quote_coin | String | Quote currency |
| base_amount | Integer | Base amount |
| quote_amount | Integer | Quote amount |
| price | Integer | Price |
| filled_price | Integer | Transaction price |
| filled_qty | Integer | Transaction base amount |
| filled_amount | Integer | Transaction quote amount |
| status | String | Trade order status Allowed values: PROCESSING (processing), PENDING (pending settlement), COMPLETE (complete), CANCELING (cancel), CANCEL_PART (partial success) |
| trade_type | String | Trade order type Allowed values: LIMIT (limit order), TOKEN (market order) |
| side | String | Trade order directions Allowed values: BUY, SELL |
| reason | String | Reason for failure |
| create_time | Long | Create time |
| complete_time | Long | Complete time |
Response Example¶
{
"code": 0,
"data": {
"limit": 0,
"list": [
{
"bid": "string",
"order_no": "string",
"base_coin": "string",
"quote_coin": "string",
"base_amount": 0,
"quote_amount": 0,
"price": 0,
"filled_price": 0,
"filled_qty": 0,
"filled_amount": 0,
"status": "string",
"trade_type": "string",
"side": "string",
"reason": "string",
"complete_time": 1663686589524,
"create_time": 1663657787000
}
],
"metadata": {},
"offset": 0,
"total": 0
},
"message": "string",
"successful": true
}